james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Trần Tiến Đức (JIRA) <server-...@james.apache.org>
Subject [jira] [Commented] (JAMES-2763) [ES][Migration] Notify the user to migrate his ES instance if the version used is wrong
Date Wed, 15 May 2019 09:07:00 GMT

    [ https://issues.apache.org/jira/browse/JAMES-2763?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16840208#comment-16840208
] 

Trần Tiến Đức commented on JAMES-2763:
--------------------------------------

We experiment that the ES client will fails to connect ES on non compatible version, maybe
should not to write a check for it and deligate the version checking to the ES driver.

> [ES][Migration] Notify the user to migrate his ES instance if the version used is wrong
> ---------------------------------------------------------------------------------------
>
>                 Key: JAMES-2763
>                 URL: https://issues.apache.org/jira/browse/JAMES-2763
>             Project: James Server
>          Issue Type: Improvement
>          Components: elasticsearch
>            Reporter: Rene Cordier
>            Priority: Major
>             Fix For: 3.4.0
>
>
> We need to find a way of notifying properly the user at the start of James if he is not
using the right version of ElasticSearch after our migration to v6.
> This topic needs more talking, but few ideas have been already advanced during the grooming
:
> * try / catch on the ES connection. If wrong version, it should fail -> notify user
> * configuring the connection through a conf file and check if the version is right at
the start
> *  ...



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message